View Issue Details

IDProjectCategoryView StatusLast Update
0023237mantisbtperformancepublic2017-09-03 18:41
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023237: Project cache is not efficient with navbar project selection.
Description

The navbar layout for rendering the project selection box, is caching only the first top level projects.
Each subsequent subproject produces an additional database query for projects table.

TagsNo tags attached.

Activities

cproensa

cproensa

2017-08-17 09:10

developer  

Selección_230.png (192,049 bytes)
Selección_230.png (192,049 bytes)
cproensa

cproensa

2017-08-17 09:15

developer   ~0057487

PR https://github.com/mantisbt/mantisbt/pull/1156

Related Changesets

MantisBT: master 29c2912f

2017-08-17 09:05:32

cproensa


Committer: atrol Details Diff
Cache all needed projects for navbar layout

Reduce DB query count by caching all needed projects for the navbar layout.

Fixes: 0023237
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2017-08-17 09:10 cproensa New Issue
2017-08-17 09:10 cproensa File Added: Selección_230.png
2017-08-17 09:15 cproensa Assigned To => cproensa
2017-08-17 09:15 cproensa Status new => assigned
2017-08-17 09:15 cproensa Note Added: 0057487
2017-08-18 08:09 atrol Changeset attached => MantisBT master 29c2912f
2017-08-18 08:09 cproensa Status assigned => resolved
2017-08-18 08:09 cproensa Resolution open => fixed
2017-08-18 08:09 cproensa Fixed in Version => 2.6.0
2017-08-18 08:09 atrol Target Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed